import type { Queue } from 'bull';
import type { ApolloServerBase, Config as ApolloConfig } from 'apollo-server-core';
export declare type Config = {
    queues: Queue[];
    gqlPlayground?: boolean;
    gqlIntrospection?: boolean;
    baseUrl?: string;
    textSearchScanCount?: number;
};
export declare abstract class BullMonitor<TServer extends ApolloServerBase> {
    abstract init(...args: any): Promise<any>;
    private ui;
    private _defaultConfig;
    protected gqlBasePath: string;
    protected config: Required<Config>;
    protected server: TServer;
    constructor(config: Config);
    protected createServer(Server: new (config: ApolloConfig) => TServer): void;
    protected startServer(): Promise<void>;
    protected renderUi(): string;
    protected get baseUrl(): string;
    protected get uiEndpoint(): string;
    protected get gqlEndpoint(): string;
}
